= Man inline macro
:toc:


It's a link:https://docs.asciidoctor.org/asciidoctorj/latest/extensions/inline-macro-processor/[inline macro] that easily links manual pages from an online manpage service like link:https://manpages.debian.org/[Debian Manpages].


== Synopsis

[source, asciidoc]
----
man:$MANPAGE[$VOLNUM]
----


== Attributes

There are optional attributes that can be passed.

- `volnum` expects the section number where the manual page belongs to.
This attribute is another way to indicate the section in case you start to use more attributes.
The value from `volnum` attribute has higher precedence.
When both the positional argument and `volnum` attribute is passed, the `volnum` attribute will be used.

- `service` is the domain of the online manpage service.
Take note this attribute is only used in `html` backend.
+
--
This is an attribute that expects certain values:

- `debian` uses https://manpages.debian.org.
This is also the default service when no value is given.

- `archlinux` uses https://man.archlinux.org.

- `opensuse` uses https://manpages.opensuse.org.

Any invalid value raises an error.
--


== Example usage

- `man:crontab[5]` will link to the default manpage service with `crontab(5)` manual page.

- `man:man[volnum=1, service=archlinux]` will link to the link:https://man.archlinux.org/man/man.1[man manpage] from link:https://man.archlinux.org/[man.archlinux.org].
